{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}
{% import 'SyliusWebBundle:Backend/Macros:misc.html.twig' as misc %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_gallery_backend_list') }}">Galleries</a></li>
        <li>{{ gallery.name }}</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.manage(path('elbotrade_gallery_backend_list'), 'Manage Galleries') }}
            {{ buttons.edit(path('elbotrade_gallery_backend_update', {'galleryId': gallery.id})) }}
            {#{{ buttons.delete(path('elbotrade_gallery_backend_delete', {'id': gallery.id}), null, false, true) }}#}
        </div>
        <h1>
            <i class="glyphicon glyphicon-info-sign"></i> Gallery Details {{ gallery.name }}
        </h1>
    </div>

    <div class="row">
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><strong>{{ 'sylius.shipment.id'|trans }}</strong></td>
                    <td>{{ gallery.id }}</td>
                </tr>
                <tr>
                    <td>{{ 'sylius.product.name'|trans }}</td>
                    <td>{{ gallery.name }}</td>
                </tr>
                <tr>
                    <td>Povolené</td>
                    <td>{{ gallery.enabled }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            {% for galleryHasMedia in gallery.galleryHasMedias %}
                <a href="{% path galleryHasMedia.media, 'big' %}" rel="group">{% thumbnail galleryHasMedia.media, 'small' %}</a>
            {% endfor %}
        </div>
    </div>

    <hr>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}"/>
    <script type="text/javascript">
        $(document).ready(function () {
            $("a[rel=group]").fancybox({
                autoSize : true,
                type: "image"
            });
        })
    </script>
{% endblock %}